package edu.gatech.cercs.soa.core.fpr;

import java.util.List;

import edu.gatech.cercs.soa.core.xml.XMLable;


/**
 * Describe <code>IFlightPricingResult</code> here.
 *
 * @author <a href="mailto:srihari@cc.gatech.edu">Hari Govindharaj</a>
 */
public interface IFlightPricingResult extends XMLable {

    public IHeaderResult getHeader();
    
    public void setHeader(IHeaderResult hdr);
    
    public List<IItineraryResult> getItineraries();
    
    public IItineraryResult createItinerary();
    
    public void addItinerary(IItineraryResult it);
    
    public void removeItinerary(IItineraryResult it);
    
}