package edu.gatech.cercs.soa.core.fpr;

import java.util.List;


/**
 * Describe <code>IItineraryResult</code> here.
 *
 * @author <a href="mailto:srihari@cc.gatech.edu">Hari Govindharaj</a>
 */
public interface IItineraryResult {

    public IPriceResult getPrice();
    
    public void setPrice(IPriceResult price);
    
    public List<ITripResult> getTrips();
    
    public ITripResult createTrip();
    
    public void addTrip(ITripResult trip);
    
    public void removeTrip(ITripResult trip);
    
}
