<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ page import="java.util.*" %>
<%@ page import="edu.gatech.cercs.soa.core.*" %>
<%@ page import="edu.gatech.cercs.soa.core.fpr.*" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<%@ include file="header.jsp" %>
<body>
<div id="wrapper">
<%@ include file="banner.jsp" %>

<h1>M-TRAILS</h1>
<h2>Adventure Travel Portal</h2>

<div id="content">
<%
IFlightPricingResult fpr = (IFlightPricingResult)request.getAttribute("fpr");
%>
<b><%= fpr.getHeader().getStatusDetail() %></b><br/>
<% 
if (fpr.getHeader().getStatus().equalsIgnoreCase(IHeaderResult.STATUS_COMPLETE)) {
	List<IItineraryResult> itnys = fpr.getItineraries();
	for (int i = 0; i < itnys.size(); i++ ) {
	   IItineraryResult itny = itnys.get(i);
	   IPriceResult price = itny.getPrice();
		List<ITripResult> trips = itny.getTrips();
%>
<table width="75%" border="1" cellspacing="0" cellpadding="2">
	<tr>
		<th>Itinerary <%= (i + 1) %></th>
		<th>Fare (fees + taxes): $<%= price.getFare() + price.getFee() + price.getTax() %></th>
	</tr>
<% 
		for (Iterator<ITripResult> iterTrips = trips.iterator(); iterTrips.hasNext(); ) {
		   ITripResult trip = iterTrips.next();
		   List<IStopResult> stops = trip.getStops();
		   for (Iterator<IStopResult> iterStops = stops.iterator(); iterStops.hasNext(); ) {
		      IStopResult stop = iterStops.next();
%>
	<tr>
		<td colspan="2">
			From: <%= stop.getOrigin() %>  To: <%= stop.getDestination() %><br/>
			Departure: <%= DateUtils.formatDefault(stop.getDeparture()) %><br/>
			Arrival: <%= DateUtils.formatDefault(stop.getArrival()) %><br/>
			Flight: <%= stop.getAirline() %><%= stop.getFlightNumber() %><br/>
			Fare Class: <%= stop.getFareClass() %><br/>
		</td>
	</tr>
<% 
		   } // List<IStopResult> iteration ends here.
   	} // List<ITripResult> iteration ends here.
%>
</table>
<br/>
<%   	
	} // List<IItineraryResult> iteration ends here
}
%>

<br/>
</div>

<%@ include file="sidebar.jsp" %>
<%@ include file="footer.jsp" %>
</div>
</body>
</html>
